package com.hfkj.service;

import com.alibaba.fastjson.JSONObject;
import com.hfkj.entity.BsStoreCid;

import java.util.Map;

/**
 * @author sum1dream
 */
public interface BsStoreCidService {

    /**
     * @Author Sum1Dream
     * @Name insertStoreCid
     * @Description // 新增门店cid内容
     * @Date 15:14 2023/6/14
     * @Param [storeCid]
     * @Return void
     */
    void insertStoreCid(BsStoreCid storeCid);


    /**
     * @Author Sum1Dream
     * @Name editStoreCid
     * @Description // 编辑门店cid内容
     * @Date 15:15 2023/6/14
     * @Param [storeCid]
     * @Return void
     */
    void editStoreCid(BsStoreCid storeCid);

    /**
     * @Author Sum1Dream
     * @Name findByMap
     * @Description // 查询门店CID内容
     * @Date 15:40 2023/6/14
     * @Param [map]
     * @Return com.hfkj.entity.BsStoreCid
     */
    BsStoreCid findByMap(Map<String , Object> map);

    /**
     * @Author Sum1Dream
     * @Name storePush
     * @Description // 门店语音推送
     * @Date 16:11 2023/6/14
     * @Param [object]
     * @Return void
     */
    void storePush(JSONObject object);


}
